ba47b7e
From e14d60d17e4447a92c5127e0a5cc3312e0215014 Mon Sep 17 00:00:00 2001
ba47b7e
From: Juerg Haefliger <juerg.haefliger@hp.com>
ba47b7e
Date: Fri, 22 Nov 2013 09:40:21 +0100
ba47b7e
Subject: [PATCH] supress partx usage error
ba47b7e
ba47b7e
---
ba47b7e
 bin/growpart | 2 +-
ba47b7e
 1 file changed, 1 insertion(+), 1 deletion(-)
ba47b7e
ba47b7e
diff --git a/bin/growpart b/bin/growpart
ba47b7e
index 85c2d1f..595c40b 100755
ba47b7e
--- a/bin/growpart
ba47b7e
+++ b/bin/growpart
ba47b7e
@@ -448,7 +448,7 @@ verify_ptupdate() {
ba47b7e
 	fi
ba47b7e
 
ba47b7e
 	if command -v partx >/dev/null 2>&1; then
ba47b7e
-		partx --help | grep -q -- --update || {
ba47b7e
+		partx --help 2>/dev/null | grep -q -- --update || {
ba47b7e
 			reason="partx has no '--update' flag in usage."
ba47b7e
 			found="off"
ba47b7e
 		}
ba47b7e
-- 
ba47b7e
1.8.3.2
ba47b7e